gnokii(1)

NAME
gnokii - modem/fax driver for Nokia mobile phones

SYNOPSIS
gnokii OPTION [ARGUMENT]...

DESCRIPTION

gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for Nokia mobile phones, released under the GPL.

gnokii supports most of the Nokia mobiles including 6100 series, 7110/6210/6250, and some recent models as 6310. It supports also the phones that are capable to understand AT commands. Tested AT phones are: Nokia 7110/6210/6250/6310/6510/8210, Siemens S25, Siemens SL45i, Ericsson T39, SonyEricsson T68i.

OPTIONS
The options that are recognized by gnokii can be divided into several different groups.

  GENERAL

--help
    display usage information.

--version
    displays version and copyright information.

--monitor
    continually updates phone status to stderr.

  DIALING

--getspeeddial n
    reads speed dial from the specified location.

--setspeeddial number memory_type location
    specify speed dial.

--dialvoice number
    initiate voice call.

--senddtmf string
    send DTMF sequence.

  PHONE SETTINGS

--getdisplaystatus
    shows what icons are displayed.

--displayoutput
    show texts displayed in phone's screen.

--getprofile [number]
    show settings for selected(all) profile(s).

--netmonitor {reset|off|field|devel|next|nr}
    setting/querying netmonitor mode.

--reset [soft|hard]
    resets the phone.

  TODO

--gettodo start [send] [-v]
    get the notes with numbers from start to end from calendar.

[-v] - output in vCalendar 1.0 format

--writetodo vCalendarfile number
    write the notes to ToDo list.

number - location of the note in the vCalendar file

--deletealltodos
    delete all notes from the ToDo list.

  CALENDAR

--getcalendarnote start [send] [-v]
    get the note with numbers from start to end from calendar.

[-v] - output in vCalendar 1.0 format

--writecalendarnote
    write the note to calendar.

--deletecalendarnote start [end]
    delete the note with numbers from start to end from calendar.

  SMS

--getsms memory_type start [end] [-f file] [-d]
    gets SMS messages from specified memory type starting at entry [start] and ending at [end]. For the memory types you usually use SM for the SIM card and ME for the phone memory. The exception are the phones supported by nk7110 (Nokia 7110/6210/6250) and nk6510 (Nokia 6310/6510/8310) drivers. For these you should use IN for the Inbox, OU for the Outbox, AR for the Archive, TE for the Templates and F1, F2, ... for your own folders. If [end] is not specified only one location - [start] is read. If [-f file] is used entries are saved in file. Otherwise they are dumped to stdout. If [-d] switch is used, a message is deleted after reading.

--deletesms memory_type start [end]
    deletes SMS messages from specified memory type starting at entry [start] and ending at [end]. If [end] is not specified only one location - [start] is read.

--sendsms destination [--smsc message_center_number | --smscno message_center_index] [-r] [-C n] [-v n] [--long n]
    sends an SMS message to destination via message_center_number or SMSC number taken from phone memory from address message_center_index. If this argument is ommited SMSC number is taken from phone memory from location 1. Message text is taken from STDIN. This function has had limited testing and may not work at all on your network. Meaning of other optional parameters:

[-r] - request for delivery report

[-C n] - Class Message n, where n can be 0..3

[-v n] - validity in minutes

[--long n] - send no more then n characters, default is 160

--savesms [--sender from] [--smsc message_center_number | --smscno message_center_index] [--folder folder_id] [--location number] [--sent | --read] [--deliver]
    saves SMS messages to phone. Messages are read from STDIN. You can specify the following optional arguments:

[--sender] - set the sender number (only --deliver)

[--smsc message_center_number] - set the SMSC number (only --deliver)

[--smscno message_center_index] - SMSC number taken from phone memory from address message_center_index (only --deliver)

[--folder folder_id] - folder ID where to save the SMS to (only valid for newer phones, i.e. 6210/6510 series). For legal values see --getsms.

[--location number] - save the message to laction number

[--sent | --read] - mark the message saved/read depending on --deliver

[--deliver] - set the message type to SMS_Deliver

--getsmsc number
    show the SMSC number from location number.

--createsmsfolder name
    create SMS folder with name name.

--createsmsfolder number
    delete folder # number of 'My Folders'.

  LOGOS

--sendlogo {caller|op} destination logofile [network_code]
    send the logofile to destination as operator or CLI logo.

--setlogo logofile [network_code]

--setlogo logofile [caller_group_number] [group_name]

--setlogo text [startup_text]

--setlogo dealer [dealer_startup_text]
    set caller, startup or operator logo.

--getlogo logofile {caller|op|startup} [caller_group_number]
    get caller, startup or operator logo.

  RINGTONES

--sendringtone destination rtttlfile
    send the rtttlfile to destination as ringtone.

--setringtone rtttlfile
    set the rtttlfile as ringtone (on 6110).

  PHONEBOOK

--getphonebook memory_type start_number [end_number|end] [-r|--raw]
    reads specificed memory location from phone. If [end_number] is not specified only one location - [start] is read. If instead of [end_number] the text end is specified then gnokii will read from start_number until it encounters a non-existant location. Valid memory types are: ME, SM, FD, ON, EN, DC, RC, MC, LD. You can use also I-r or I--raw switch to get the raw output. You can use it then with --writephonebook. Normally you got verbose output.

--writephonebook [-i]
    reads data from stdin and writes to phonebook When -i option is used, refuses to overwrite existing entries. Uses the same format as provided by the output of the getphonebook command.

  WAP

--getwapbookmark number
    reads the specified WAP bookmark from phone

--writewapbookmark name URL
    write WAP bookmark to phone

--deletewapbookmark number
    delete WAP bookmark from phone

--getwapsetting number [-r]
    read WAP setting from phone

--writewapsetting
    reads data from stdin and writes it to phone Hint: see syntax from --writephone -r option

--activatewapsetting number
    activate WAP setting number

  DATE, TIME AND ALARM

--setdatetime [YYY [MM [DD [HH [MM]]]]]
    set the date and the time of the phone.

--getdatetime
    shows current date and time in the phone.

--setalarm HH MM
    set the alarm of the phone.

--getalarm
    shows current alarm.

--getsecuritycode
    shows the currently set security code.

  SECURITY

--identify
    get IMEI, model and revision.

--entersecuritycode {PIN|PIN2|PUK|PUK2}
    asks for the code and sends it to the phone.

--getsecuritycodestatus
    show if a security code is needed.

--getlocksinfo
    show information about the (sim)locks of the phone: the lock data, whether a lock is open or closed, whether it is a user or factory lock and the number of unlock attempts.

DIAGNOSTICS
Various error messages are printed to standard error. The exit code is 0 for correct functioning. Errors which appear to be caused by invalid or abused command line parameters cause an exit code of 2, and other errors cause an exit code of 1.

BUGS

We write quality software here ;)

AUTHOR
Hugh Blemings <hugh@blemings.org> and Pavel Janik ml. <Pavel.Janik@suse.cz> Manual page written by Dag Wieers <dag@mind.be> and Pawel Kot <pkot@linuxnews.pl> See also Docs/CREDITS from Gnokii sources.

COPYING
This program is distributed under the GNU Public License.

SEE ALSO
gnokiid, xgnokii